Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for DB2 Connect
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.db2connectadapter.base
Class ActivationSpecImplExt

    java.lang.Object
      com.stc.connector.framework.eway.DBActivationSpec
          com.stc.connector.framework.eway.DBActivationSpecExt
              com.stc.connector.db2connectadapter.base.ActivationSpecImplExt

All Implemented Interfaces:
  com.stc.connector.management.jca.system.mbeans.LifeCycle, com.stc.connector.management.STCManagedMaster, java.io.Serializable, javax.resource.spi.ActivationSpec, javax.resource.spi.ResourceAdapterAssociation

Direct Known Subclasses:
  ActivationSpecImplExtType4

    public class ActivationSpecImplExt

extends com.stc.connector.framework.eway.DBActivationSpecExt

DOCUMENT ME!

Author:
  jtran
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.stc.connector.framework.eway.DBActivationSpecExt
`mBaseConfiguration, mConfiguration, mLog, mMonitorMBean, mProjectInfoObject, msgManager`

Fields inherited from class com.stc.connector.framework.eway.DBActivationSpec
`mMessages`

Constructor Summary
`ActivationSpecImplExt()` Creates a new instance of ActivationSpecImpl

Method Summary

Methods inherited from class com.stc.connector.framework.eway.DBActivationSpecExt
`createMBean, getConfiguration, getConfigurationModel, getEwayActivationSpecMBeanClass, getEwayActivationSpecMBeanName, getMonitor, getProjectInfo, isStarted, setConfiguration, setEwayActivationSpecMBeanClass, setEwayActivationSpecMBeanName, setProjectInfo, start, stop`

Methods inherited from class com.stc.connector.framework.eway.DBActivationSpec
`getDatabaseName, getPassword, getPollMilliseconds, getPortNumber, getPreparedStatement, getResourceAdapter, getServerName, getUser, setDatabaseName, setPassword, setPollMilliseconds, setPortNumber, setPreparedStatement, setResourceAdapter, setServerName, setUser, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.resource.spi.ResourceAdapterAssociation
`getResourceAdapter, setResourceAdapter`

Constructor Detail

### ActivationSpecImplExt

    public ActivationSpecImplExt()

  Creates a new instance of ActivationSpecImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for DB2 Connect
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD